Master Wallet Regenerate
curl --request POST \
--url https://api.blockradar.co/v1/wallets/{id}/virtual-accounts/{vId}/regenerate \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/wallets/{id}/virtual-accounts/{vId}/regenerate"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/wallets/{id}/virtual-accounts/{vId}/regenerate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"accountName": "yaxep42303 elafans",
"accountNumber": "9017390479",
"address": null,
"bankCode": "076",
"bankName": "Polaris Bank",
"createdAt": "2026-01-21T23:53:49.202Z",
"currency": "NGN",
"customer": {
"createdAt": "2026-01-21T23:53:49.202Z",
"email": "[email protected]",
"id": "28e8d1ed-24ac-4119-afe4-60b2186116d8",
"name": "yaxep42303 elafans",
"network": "mainnet",
"phone": "+2348037892458",
"status": "ACTIVE",
"updatedAt": "2026-01-21T23:53:49.202Z"
},
"id": "c04004c3-ec8c-4b61-bcdc-870fe64ef1e3",
"isActive": true,
"label": null,
"reference": "174",
"status": "ACTIVE",
"type": "AUTO_FUNDING",
"updatedAt": "2026-01-21T23:53:49.202Z",
"wallet": {
"address": "0xD8582C57E56Ef45f9fe82870aDF63d9baB89e1F7",
"blockchain": {
"configurations": null,
"createdAt": "2024-05-27T14:31:14.966Z",
"derivationPath": "m/44'/60'/0'/0",
"id": "74733889-4ecd-403e-9840-94e87c043f24",
"isActive": true,
"isEvmCompatible": true,
"isL2": true,
"name": "base",
"networkFeeModel": "native",
"slug": "base",
"symbol": "eth",
"tokenStandard": null,
"updatedAt": "2024-11-26T20:04:13.945Z"
},
"business": {
"configurations": {
"features": {
"rates": true,
"virtualAccounts": true
},
"fees": {},
"firstTransaction": {
"timeStamp": "2025-10-22T02:47:09.083Z"
},
"hideLogoUrlInResponse": false,
"useCustomWebhookSignatureHeader": true
},
"country": null,
"createdAt": "2024-05-15T12:01:53.045Z",
"id": "7c323cfb-c1b6-4a3e-b72d-7433870812ac",
"name": "Blockradar Inc",
"partnerId": "b3ba808a-22e8-4170-a03b-05f58a1d71fb",
"pipedriveOrganizationId": "389",
"sector": "infrastructure",
"status": "ACTIVE",
"updatedAt": "2025-11-07T13:34:50.198Z",
"userId": "ccfbade7-2747-4f95-a932-95e8979ccdff"
},
"configurations": null,
"createdAt": "2024-05-27T15:33:42.377Z",
"derivationPath": "m/44'/60'/0'/0/11",
"description": "This is Base wallet",
"id": "35e964a6-436a-424f-bf3a-618cc060feea",
"isActive": true,
"name": "Base Wallet",
"network": "mainnet",
"status": "ACTIVE",
"updatedAt": "2024-05-27T15:33:42.377Z"
}
},
"message": "Virtual account regenerated successfully",
"statusCode": 201
}Master Wallet Regenerate
Master Wallet Regenerate
POST
/
v1
/
wallets
/
{id}
/
virtual-accounts
/
{vId}
/
regenerate
Master Wallet Regenerate
Authorizations
Path Parameters
Example:
"YOUR_WALLET_ID"
Example:
"VIRTUAL_ACCOUNT_ID"
⌘I

